Search Verification Sessions with Advanced Filters

Search verification sessions with flexible filtering.

Filters combine using AND logic between different filter types, and OR logic
within each filter's values. For example, filtering by status=[success, fail]
and email=[[email protected], [email protected]] returns sessions that match
(success OR fail) AND (either email).

In addition to the parameters listed below, this endpoint also supports searching
by your custom fields. To filter by a custom field value, specify the field name
as a query parameter prefixed with custom_. For example, to search for verifications
with a specific value for the custom field store_id, add custom_store_id=xyz as
a query parameter in your request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
1 to 100
Defaults to 25

Number of results to return per page

Pagination cursor (encodes sort value and record ID)

string
enum
Defaults to updated_at

Field to sort results by

Allowed:
string
enum
Defaults to desc

Direction to sort results

Allowed:
array | null

Filter by verification session status

array | null

Filter by project IDs

array | null

Filter by email addresses

array | null

Filter by phone numbers (partial match)

array | null

Filter by names (partial match)

array | null

Filter by verification session IDs

array | null

Filter by flow tokens

array | null

Filter by user IDs

Filter by verifcations updated after this timestamp, measured in seconds since the Unix epoch

Filter by verifcations updated before this timestamp, measured in seconds since the Unix epoch

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json